﻿/*****************************************************************************
 * Copyright (C) 2014 Microchip Technology Inc. and its subsidiaries
 * (Microchip).  All rights reserved.
 * 
 * You are permitted to use the software and its derivatives with Microchip
 * products. See the license agreement accompanying this software, if any,
 * for additional info regarding your rights and obligations.
 * 
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A
 * PARTICULAR PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE
 * LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY,
 * CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY FOR ANY
 * DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY
 * INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES, OR OTHER SIMILAR
 * COSTS. To the fullest extend allowed by law, Microchip and its licensors
 * liability will not exceed the amount of fees that you paid directly to
 * Microchip to use this software or $1,000, whichever is greater.
 * 
 *****************************************************************************
 * Revision history:
 * 22.10.2013   Mihai Cuciuc    0.1     Communication with USB device functional,
 *                                      all DALI tests implemented.
 * 22.01.2014   Oana Barahtian  1.0     Changed the application to a multi-
 *                                      threaded model, restructured user
 *                                      interface and added functionality.
 */

namespace DALITestApplication
{
    partial class MainForm
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
            this.richTextBox1 = new System.Windows.Forms.RichTextBox();
            this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.copyToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.selectAllToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveAsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.timer1 = new System.Windows.Forms.Timer(this.components);
            this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.fileToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.clearStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveCommadsListToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.loadCommadsListToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.toolsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.showINFOToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.showMESSAGESToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.showDEBUGToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.ackERRORsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.extraTestToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.extraTestToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.helpToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.suportToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.tODOToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveFile = new System.Windows.Forms.SaveFileDialog();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.powerController = new System.Windows.Forms.HScrollBar();
            this.label14 = new System.Windows.Forms.Label();
            this.label12 = new System.Windows.Forms.Label();
            this.queryLevel = new System.Windows.Forms.Button();
            this.numericUpDown = new System.Windows.Forms.NumericUpDown();
            this.label15 = new System.Windows.Forms.Label();
            this.label11 = new System.Windows.Forms.Label();
            this.label13 = new System.Windows.Forms.Label();
            this.tabPage24 = new System.Windows.Forms.TabPage();
            this.groupBox11 = new System.Windows.Forms.GroupBox();
            this.moveDownLineDataGrid = new System.Windows.Forms.Button();
            this.moveUpLineDataGrid = new System.Windows.Forms.Button();
            this.groupBox10 = new System.Windows.Forms.GroupBox();
            this.cleanDataGrid = new System.Windows.Forms.Button();
            this.deleteRowDataGrid = new System.Windows.Forms.Button();
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.saveToListBasic = new System.Windows.Forms.Button();
            this.labelHexInterpretation = new System.Windows.Forms.Label();
            this.label19 = new System.Windows.Forms.Label();
            this.labelHexValue = new System.Windows.Forms.Label();
            this.sendUserCmmdBasic = new System.Windows.Forms.Button();
            this.groupBox7 = new System.Windows.Forms.GroupBox();
            this.valueLabel = new System.Windows.Forms.Label();
            this.valueLabeltext = new System.Windows.Forms.Label();
            this.checkBoxTwice = new System.Windows.Forms.CheckBox();
            this.label10 = new System.Windows.Forms.Label();
            this.labelParamValue = new System.Windows.Forms.Label();
            this.textBoxParam = new System.Windows.Forms.TextBox();
            this.labelValueParam = new System.Windows.Forms.Label();
            this.textBoxAddr = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.radioButtonBroadcast = new System.Windows.Forms.RadioButton();
            this.radioButtonShortAddr = new System.Windows.Forms.RadioButton();
            this.radioButtonGroupAddr = new System.Windows.Forms.RadioButton();
            this.commdsNameDropDown = new System.Windows.Forms.ComboBox();
            this.tabPage3 = new System.Windows.Forms.TabPage();
            this.saveToListUserComm = new System.Windows.Forms.Button();
            this.commndErrorLabel = new System.Windows.Forms.Label();
            this.label6 = new System.Windows.Forms.Label();
            this.groupBox6 = new System.Windows.Forms.GroupBox();
            this.bit13 = new System.Windows.Forms.CheckBox();
            this.bit15 = new System.Windows.Forms.CheckBox();
            this.bit9 = new System.Windows.Forms.CheckBox();
            this.bit4 = new System.Windows.Forms.CheckBox();
            this.bit0 = new System.Windows.Forms.CheckBox();
            this.bit5 = new System.Windows.Forms.CheckBox();
            this.bit6 = new System.Windows.Forms.CheckBox();
            this.bit11 = new System.Windows.Forms.CheckBox();
            this.bit2 = new System.Windows.Forms.CheckBox();
            this.bit8 = new System.Windows.Forms.CheckBox();
            this.bit14 = new System.Windows.Forms.CheckBox();
            this.bit10 = new System.Windows.Forms.CheckBox();
            this.bit3 = new System.Windows.Forms.CheckBox();
            this.bit7 = new System.Windows.Forms.CheckBox();
            this.bit1 = new System.Windows.Forms.CheckBox();
            this.bit12 = new System.Windows.Forms.CheckBox();
            this.commndTextBox = new System.Windows.Forms.TextBox();
            this.sendUserCommand = new System.Windows.Forms.Button();
            this.label5 = new System.Windows.Forms.Label();
            this.commValueLabel = new System.Windows.Forms.Label();
            this.groupBox5 = new System.Windows.Forms.GroupBox();
            this.sendSelectedComm = new System.Windows.Forms.Button();
            this.sendListButton = new System.Windows.Forms.Button();
            this.commDataGrid = new System.Windows.Forms.DataGridView();
            this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.dataGridViewCheckBoxColumn1 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.dataGridViewComboBoxColumn1 = new System.Windows.Forms.DataGridViewComboBoxColumn();
            this.buttonCloseExtraTest = new System.Windows.Forms.Button();
            this.tabPage25 = new System.Windows.Forms.TabPage();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.labelSelect = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.label4 = new System.Windows.Forms.Label();
            this.responseTimeControl = new System.Windows.Forms.NumericUpDown();
            this.label3 = new System.Windows.Forms.Label();
            this.buttonTests = new System.Windows.Forms.Button();
            this.preaheatTimeControl = new System.Windows.Forms.NumericUpDown();
            this.testNo = new System.Windows.Forms.NumericUpDown();
            this.label1 = new System.Windows.Forms.Label();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.errorsLabel = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.label17 = new System.Windows.Forms.Label();
            this.maxProgress = new System.Windows.Forms.Label();
            this.finishedTest = new System.Windows.Forms.Label();
            this.buttonRunTests = new System.Windows.Forms.Button();
            this.tabDebug = new System.Windows.Forms.TabControl();
            this.label16 = new System.Windows.Forms.Label();
            this.buttonRunExtraTest = new System.Windows.Forms.Button();
            this.saveCurrentConfig = new System.Windows.Forms.SaveFileDialog();
            this.openCommConfig = new System.Windows.Forms.OpenFileDialog();
            this.contextMenuStrip1.SuspendLayout();
            this.menuStrip1.SuspendLayout();
            this.tabPage1.SuspendLayout();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDown)).BeginInit();
            this.tabPage24.SuspendLayout();
            this.groupBox11.SuspendLayout();
            this.groupBox10.SuspendLayout();
            this.tabControl1.SuspendLayout();
            this.tabPage2.SuspendLayout();
            this.groupBox7.SuspendLayout();
            this.groupBox4.SuspendLayout();
            this.tabPage3.SuspendLayout();
            this.groupBox6.SuspendLayout();
            this.groupBox5.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.commDataGrid)).BeginInit();
            this.tabPage25.SuspendLayout();
            this.groupBox3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.responseTimeControl)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.preaheatTimeControl)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.testNo)).BeginInit();
            this.groupBox2.SuspendLayout();
            this.tabDebug.SuspendLayout();
            this.SuspendLayout();
            // 
            // richTextBox1
            // 
            this.richTextBox1.ContextMenuStrip = this.contextMenuStrip1;
            this.richTextBox1.Font = new System.Drawing.Font("Courier New", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.richTextBox1.HideSelection = false;
            this.richTextBox1.Location = new System.Drawing.Point(4, 50);
            this.richTextBox1.Name = "richTextBox1";
            this.richTextBox1.ReadOnly = true;
            this.richTextBox1.ScrollBars = System.Windows.Forms.RichTextBoxScrollBars.Vertical;
            this.richTextBox1.Size = new System.Drawing.Size(833, 281);
            this.richTextBox1.TabIndex = 20;
            this.richTextBox1.Text = "";
            // 
            // contextMenuStrip1
            // 
            this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripMenuItem1,
            this.copyToolStripMenuItem,
            this.selectAllToolStripMenuItem,
            this.saveAsToolStripMenuItem});
            this.contextMenuStrip1.Name = "contextMenuStrip1";
            this.contextMenuStrip1.Size = new System.Drawing.Size(125, 92);
            // 
            // toolStripMenuItem1
            // 
            this.toolStripMenuItem1.Name = "toolStripMenuItem1";
            this.toolStripMenuItem1.Size = new System.Drawing.Size(124, 22);
            this.toolStripMenuItem1.Text = "Clear Log";
            this.toolStripMenuItem1.Click += new System.EventHandler(this.toolStripMenuItem1_Click);
            // 
            // copyToolStripMenuItem
            // 
            this.copyToolStripMenuItem.Name = "copyToolStripMenuItem";
            this.copyToolStripMenuItem.Size = new System.Drawing.Size(124, 22);
            this.copyToolStripMenuItem.Text = "Copy";
            this.copyToolStripMenuItem.Click += new System.EventHandler(this.copyToolStripMenuItem_Click);
            // 
            // selectAllToolStripMenuItem
            // 
            this.selectAllToolStripMenuItem.Name = "selectAllToolStripMenuItem";
            this.selectAllToolStripMenuItem.Size = new System.Drawing.Size(124, 22);
            this.selectAllToolStripMenuItem.Text = "Select All";
            this.selectAllToolStripMenuItem.Click += new System.EventHandler(this.selectAllToolStripMenuItem_Click);
            // 
            // saveAsToolStripMenuItem
            // 
            this.saveAsToolStripMenuItem.Name = "saveAsToolStripMenuItem";
            this.saveAsToolStripMenuItem.Size = new System.Drawing.Size(124, 22);
            this.saveAsToolStripMenuItem.Text = "Save As";
            this.saveAsToolStripMenuItem.Click += new System.EventHandler(this.saveAsToolStripMenuItem_Click);
            // 
            // timer1
            // 
            this.timer1.Enabled = true;
            this.timer1.Interval = 10;
            this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
            // 
            // saveFileDialog1
            // 
            this.saveFileDialog1.FileName = "log file.rtf";
            this.saveFileDialog1.Filter = "RTF Files|*.rtf";
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fileToolStripMenuItem,
            this.toolsToolStripMenuItem,
            this.extraTestToolStripMenuItem,
            this.helpToolStripMenuItem1});
            this.menuStrip1.Location = new System.Drawing.Point(0, 0);
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.RenderMode = System.Windows.Forms.ToolStripRenderMode.System;
            this.menuStrip1.Size = new System.Drawing.Size(844, 24);
            this.menuStrip1.TabIndex = 33;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // fileToolStripMenuItem
            // 
            this.fileToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.saveStripMenuItem,
            this.clearStripMenuItem,
            this.saveCommadsListToolStripMenuItem,
            this.loadCommadsListToolStripMenuItem,
            this.toolStripSeparator1,
            this.exitToolStripMenuItem});
            this.fileToolStripMenuItem.Name = "fileToolStripMenuItem";
            this.fileToolStripMenuItem.Size = new System.Drawing.Size(35, 20);
            this.fileToolStripMenuItem.Text = "File";
            // 
            // saveStripMenuItem
            // 
            this.saveStripMenuItem.Name = "saveStripMenuItem";
            this.saveStripMenuItem.Size = new System.Drawing.Size(166, 22);
            this.saveStripMenuItem.Text = "Save Log As";
            this.saveStripMenuItem.ToolTipText = "Seve the log content into file.";
            this.saveStripMenuItem.Click += new System.EventHandler(this.saveStripMenuItem_Click);
            // 
            // clearStripMenuItem
            // 
            this.clearStripMenuItem.Name = "clearStripMenuItem";
            this.clearStripMenuItem.Size = new System.Drawing.Size(166, 22);
            this.clearStripMenuItem.Text = "Clear Log Window";
            this.clearStripMenuItem.ToolTipText = "Delete all the messeges on log.";
            this.clearStripMenuItem.Click += new System.EventHandler(this.clearStripMenuItem_Click);
            // 
            // saveCommadsListToolStripMenuItem
            // 
            this.saveCommadsListToolStripMenuItem.Name = "saveCommadsListToolStripMenuItem";
            this.saveCommadsListToolStripMenuItem.Size = new System.Drawing.Size(166, 22);
            this.saveCommadsListToolStripMenuItem.Text = "Save Commads List";
            this.saveCommadsListToolStripMenuItem.Click += new System.EventHandler(this.saveCommadsListToolStripMenuItem_Click);
            // 
            // loadCommadsListToolStripMenuItem
            // 
            this.loadCommadsListToolStripMenuItem.Name = "loadCommadsListToolStripMenuItem";
            this.loadCommadsListToolStripMenuItem.Size = new System.Drawing.Size(166, 22);
            this.loadCommadsListToolStripMenuItem.Text = "Load Commads List";
            this.loadCommadsListToolStripMenuItem.Click += new System.EventHandler(this.loadCommadsListToolStripMenuItem_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(163, 6);
            // 
            // exitToolStripMenuItem
            // 
            this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
            this.exitToolStripMenuItem.Size = new System.Drawing.Size(166, 22);
            this.exitToolStripMenuItem.Text = "Exit";
            this.exitToolStripMenuItem.Click += new System.EventHandler(this.exitToolStripMenuItem_Click);
            // 
            // toolsToolStripMenuItem
            // 
            this.toolsToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.showINFOToolStripMenuItem,
            this.showMESSAGESToolStripMenuItem,
            this.showDEBUGToolStripMenuItem,
            this.ackERRORsToolStripMenuItem});
            this.toolsToolStripMenuItem.Name = "toolsToolStripMenuItem";
            this.toolsToolStripMenuItem.Size = new System.Drawing.Size(41, 20);
            this.toolsToolStripMenuItem.Text = "View";
            this.toolsToolStripMenuItem.ToolTipText = "Choose what type of message displays on log.";
            // 
            // showINFOToolStripMenuItem
            // 
            this.showINFOToolStripMenuItem.Checked = true;
            this.showINFOToolStripMenuItem.CheckOnClick = true;
            this.showINFOToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
            this.showINFOToolStripMenuItem.Name = "showINFOToolStripMenuItem";
            this.showINFOToolStripMenuItem.Size = new System.Drawing.Size(155, 22);
            this.showINFOToolStripMenuItem.Text = "Show INFO";
            // 
            // showMESSAGESToolStripMenuItem
            // 
            this.showMESSAGESToolStripMenuItem.Checked = true;
            this.showMESSAGESToolStripMenuItem.CheckOnClick = true;
            this.showMESSAGESToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
            this.showMESSAGESToolStripMenuItem.Name = "showMESSAGESToolStripMenuItem";
            this.showMESSAGESToolStripMenuItem.Size = new System.Drawing.Size(155, 22);
            this.showMESSAGESToolStripMenuItem.Text = "Show MESSAGES";
            // 
            // showDEBUGToolStripMenuItem
            // 
            this.showDEBUGToolStripMenuItem.Checked = true;
            this.showDEBUGToolStripMenuItem.CheckOnClick = true;
            this.showDEBUGToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
            this.showDEBUGToolStripMenuItem.Name = "showDEBUGToolStripMenuItem";
            this.showDEBUGToolStripMenuItem.Size = new System.Drawing.Size(155, 22);
            this.showDEBUGToolStripMenuItem.Text = "Show DEBUG";
            // 
            // ackERRORsToolStripMenuItem
            // 
            this.ackERRORsToolStripMenuItem.CheckOnClick = true;
            this.ackERRORsToolStripMenuItem.Name = "ackERRORsToolStripMenuItem";
            this.ackERRORsToolStripMenuItem.Size = new System.Drawing.Size(155, 22);
            this.ackERRORsToolStripMenuItem.Text = "Ack ERRORs";
            // 
            // extraTestToolStripMenuItem
            // 
            this.extraTestToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.extraTestToolStripMenuItem1});
            this.extraTestToolStripMenuItem.Name = "extraTestToolStripMenuItem";
            this.extraTestToolStripMenuItem.Size = new System.Drawing.Size(44, 20);
            this.extraTestToolStripMenuItem.Text = "Tools";
            // 
            // extraTestToolStripMenuItem1
            // 
            this.extraTestToolStripMenuItem1.Name = "extraTestToolStripMenuItem1";
            this.extraTestToolStripMenuItem1.Size = new System.Drawing.Size(164, 22);
            this.extraTestToolStripMenuItem1.Text = "Interface Self Test";
            this.extraTestToolStripMenuItem1.ToolTipText = "Testing the USB to DALI device.";
            this.extraTestToolStripMenuItem1.Click += new System.EventHandler(this.extraTestToolStripMenuItem1_Click);
            // 
            // helpToolStripMenuItem1
            // 
            this.helpToolStripMenuItem1.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.suportToolStripMenuItem,
            this.tODOToolStripMenuItem});
            this.helpToolStripMenuItem1.Name = "helpToolStripMenuItem1";
            this.helpToolStripMenuItem1.Size = new System.Drawing.Size(40, 20);
            this.helpToolStripMenuItem1.Text = "Help";
            // 
            // suportToolStripMenuItem
            // 
            this.suportToolStripMenuItem.Name = "suportToolStripMenuItem";
            this.suportToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
            this.suportToolStripMenuItem.Text = "Support";
            this.suportToolStripMenuItem.Click += new System.EventHandler(this.suportToolStripMenuItem_Click);
            // 
            // tODOToolStripMenuItem
            // 
            this.tODOToolStripMenuItem.Name = "tODOToolStripMenuItem";
            this.tODOToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
            this.tODOToolStripMenuItem.Text = "About";
            this.tODOToolStripMenuItem.Click += new System.EventHandler(this.toolStripMenuItem_Click);
            // 
            // tabPage1
            // 
            this.tabPage1.BackColor = System.Drawing.SystemColors.Control;
            this.tabPage1.Controls.Add(this.groupBox1);
            this.tabPage1.Controls.Add(this.queryLevel);
            this.tabPage1.Controls.Add(this.numericUpDown);
            this.tabPage1.Controls.Add(this.label15);
            this.tabPage1.Controls.Add(this.label11);
            this.tabPage1.Controls.Add(this.label13);
            this.tabPage1.Location = new System.Drawing.Point(4, 25);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(828, 185);
            this.tabPage1.TabIndex = 2;
            this.tabPage1.Text = "Lamp Control";
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.powerController);
            this.groupBox1.Controls.Add(this.label14);
            this.groupBox1.Controls.Add(this.label12);
            this.groupBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox1.Location = new System.Drawing.Point(9, 105);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(811, 74);
            this.groupBox1.TabIndex = 73;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Direct arc power control";
            // 
            // powerController
            // 
            this.powerController.LargeChange = 1;
            this.powerController.Location = new System.Drawing.Point(21, 29);
            this.powerController.Maximum = 254;
            this.powerController.Name = "powerController";
            this.powerController.Size = new System.Drawing.Size(756, 30);
            this.powerController.TabIndex = 64;
            this.powerController.ValueChanged += new System.EventHandler(this.powerController_ValueChanged);
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Location = new System.Drawing.Point(5, 38);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(13, 13);
            this.label14.TabIndex = 65;
            this.label14.Text = "0";
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Location = new System.Drawing.Point(780, 38);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(25, 13);
            this.label12.TabIndex = 66;
            this.label12.Text = "254";
            // 
            // queryLevel
            // 
            this.queryLevel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.queryLevel.Location = new System.Drawing.Point(742, 40);
            this.queryLevel.Name = "queryLevel";
            this.queryLevel.Size = new System.Drawing.Size(72, 27);
            this.queryLevel.TabIndex = 67;
            this.queryLevel.Text = "Query Level";
            this.queryLevel.UseVisualStyleBackColor = true;
            this.queryLevel.Click += new System.EventHandler(this.queryLevel_Click_1);
            // 
            // numericUpDown
            // 
            this.numericUpDown.Location = new System.Drawing.Point(154, 51);
            this.numericUpDown.Maximum = new decimal(new int[] {
            63,
            0,
            0,
            0});
            this.numericUpDown.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.numericUpDown.Name = "numericUpDown";
            this.numericUpDown.Size = new System.Drawing.Size(80, 23);
            this.numericUpDown.TabIndex = 33;
            this.numericUpDown.Value = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label15.Location = new System.Drawing.Point(14, 47);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(124, 15);
            this.label15.TabIndex = 68;
            this.label15.Text = "Control gear address ";
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label11.Location = new System.Drawing.Point(633, 47);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(103, 15);
            this.label11.TabIndex = 70;
            this.label11.Text = "Query actual level";
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label13.Location = new System.Drawing.Point(14, 63);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(101, 15);
            this.label13.TabIndex = 69;
            this.label13.Text = "(-1 for Broadcast)";
            // 
            // tabPage24
            // 
            this.tabPage24.BackColor = System.Drawing.SystemColors.Control;
            this.tabPage24.Controls.Add(this.groupBox11);
            this.tabPage24.Controls.Add(this.groupBox10);
            this.tabPage24.Controls.Add(this.tabControl1);
            this.tabPage24.Controls.Add(this.groupBox5);
            this.tabPage24.Controls.Add(this.commDataGrid);
            this.tabPage24.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tabPage24.Location = new System.Drawing.Point(4, 25);
            this.tabPage24.Name = "tabPage24";
            this.tabPage24.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage24.Size = new System.Drawing.Size(828, 185);
            this.tabPage24.TabIndex = 0;
            this.tabPage24.Text = "User Commands";
            // 
            // groupBox11
            // 
            this.groupBox11.Controls.Add(this.moveDownLineDataGrid);
            this.groupBox11.Controls.Add(this.moveUpLineDataGrid);
            this.groupBox11.Location = new System.Drawing.Point(746, 64);
            this.groupBox11.Name = "groupBox11";
            this.groupBox11.Size = new System.Drawing.Size(60, 55);
            this.groupBox11.TabIndex = 71;
            this.groupBox11.TabStop = false;
            // 
            // moveDownLineDataGrid
            // 
            this.moveDownLineDataGrid.Image = ((System.Drawing.Image)(resources.GetObject("moveDownLineDataGrid.Image")));
            this.moveDownLineDataGrid.Location = new System.Drawing.Point(6, 30);
            this.moveDownLineDataGrid.Name = "moveDownLineDataGrid";
            this.moveDownLineDataGrid.Size = new System.Drawing.Size(48, 21);
            this.moveDownLineDataGrid.TabIndex = 5;
            this.moveDownLineDataGrid.UseVisualStyleBackColor = true;
            this.moveDownLineDataGrid.Click += new System.EventHandler(this.moveDownLineDataGrid_Click);
            // 
            // moveUpLineDataGrid
            // 
            this.moveUpLineDataGrid.Image = ((System.Drawing.Image)(resources.GetObject("moveUpLineDataGrid.Image")));
            this.moveUpLineDataGrid.Location = new System.Drawing.Point(6, 10);
            this.moveUpLineDataGrid.Name = "moveUpLineDataGrid";
            this.moveUpLineDataGrid.Size = new System.Drawing.Size(48, 21);
            this.moveUpLineDataGrid.TabIndex = 4;
            this.moveUpLineDataGrid.UseVisualStyleBackColor = true;
            this.moveUpLineDataGrid.Click += new System.EventHandler(this.moveUpLineDataGrid_Click);
            // 
            // groupBox10
            // 
            this.groupBox10.Controls.Add(this.cleanDataGrid);
            this.groupBox10.Controls.Add(this.deleteRowDataGrid);
            this.groupBox10.Location = new System.Drawing.Point(726, 0);
            this.groupBox10.Name = "groupBox10";
            this.groupBox10.Size = new System.Drawing.Size(96, 63);
            this.groupBox10.TabIndex = 70;
            this.groupBox10.TabStop = false;
            // 
            // cleanDataGrid
            // 
            this.cleanDataGrid.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.cleanDataGrid.Location = new System.Drawing.Point(6, 11);
            this.cleanDataGrid.Name = "cleanDataGrid";
            this.cleanDataGrid.Size = new System.Drawing.Size(85, 21);
            this.cleanDataGrid.TabIndex = 68;
            this.cleanDataGrid.Text = "Clean list";
            this.cleanDataGrid.UseVisualStyleBackColor = true;
            this.cleanDataGrid.Click += new System.EventHandler(this.cleanDataGrid_Click);
            // 
            // deleteRowDataGrid
            // 
            this.deleteRowDataGrid.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.deleteRowDataGrid.ForeColor = System.Drawing.SystemColors.MenuText;
            this.deleteRowDataGrid.Location = new System.Drawing.Point(6, 37);
            this.deleteRowDataGrid.Name = "deleteRowDataGrid";
            this.deleteRowDataGrid.Size = new System.Drawing.Size(85, 21);
            this.deleteRowDataGrid.TabIndex = 1;
            this.deleteRowDataGrid.Text = "Delete entry";
            this.deleteRowDataGrid.UseVisualStyleBackColor = true;
            this.deleteRowDataGrid.Click += new System.EventHandler(this.deleteRowDataGrid_Click);
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Controls.Add(this.tabPage3);
            this.tabControl1.Location = new System.Drawing.Point(0, 0);
            this.tabControl1.Multiline = true;
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(499, 186);
            this.tabControl1.TabIndex = 69;
            this.tabControl1.Leave += new System.EventHandler(this.tabControl1_Leave);
            // 
            // tabPage2
            // 
            this.tabPage2.BackColor = System.Drawing.SystemColors.Control;
            this.tabPage2.Controls.Add(this.saveToListBasic);
            this.tabPage2.Controls.Add(this.labelHexInterpretation);
            this.tabPage2.Controls.Add(this.label19);
            this.tabPage2.Controls.Add(this.labelHexValue);
            this.tabPage2.Controls.Add(this.sendUserCmmdBasic);
            this.tabPage2.Controls.Add(this.groupBox7);
            this.tabPage2.Controls.Add(this.groupBox4);
            this.tabPage2.Controls.Add(this.commdsNameDropDown);
            this.tabPage2.Location = new System.Drawing.Point(4, 22);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage2.Size = new System.Drawing.Size(491, 160);
            this.tabPage2.TabIndex = 0;
            this.tabPage2.Text = "Basic";
            // 
            // saveToListBasic
            // 
            this.saveToListBasic.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.saveToListBasic.Image = ((System.Drawing.Image)(resources.GetObject("saveToListBasic.Image")));
            this.saveToListBasic.Location = new System.Drawing.Point(463, 6);
            this.saveToListBasic.Name = "saveToListBasic";
            this.saveToListBasic.Size = new System.Drawing.Size(25, 40);
            this.saveToListBasic.TabIndex = 63;
            this.saveToListBasic.UseVisualStyleBackColor = true;
            this.saveToListBasic.Click += new System.EventHandler(this.saveToListBasic_Click);
            // 
            // labelHexInterpretation
            // 
            this.labelHexInterpretation.AutoSize = true;
            this.labelHexInterpretation.Location = new System.Drawing.Point(62, 137);
            this.labelHexInterpretation.Name = "labelHexInterpretation";
            this.labelHexInterpretation.Size = new System.Drawing.Size(0, 13);
            this.labelHexInterpretation.TabIndex = 11;
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Location = new System.Drawing.Point(46, 137);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(10, 13);
            this.label19.TabIndex = 10;
            this.label19.Text = ":";
            // 
            // labelHexValue
            // 
            this.labelHexValue.AutoSize = true;
            this.labelHexValue.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelHexValue.Location = new System.Drawing.Point(6, 137);
            this.labelHexValue.Name = "labelHexValue";
            this.labelHexValue.Size = new System.Drawing.Size(35, 13);
            this.labelHexValue.TabIndex = 9;
            this.labelHexValue.Text = "0000";
            // 
            // sendUserCmmdBasic
            // 
            this.sendUserCmmdBasic.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sendUserCmmdBasic.Location = new System.Drawing.Point(378, 129);
            this.sendUserCmmdBasic.Name = "sendUserCmmdBasic";
            this.sendUserCmmdBasic.Size = new System.Drawing.Size(80, 22);
            this.sendUserCmmdBasic.TabIndex = 7;
            this.sendUserCmmdBasic.Text = "Send Cmd";
            this.sendUserCmmdBasic.UseVisualStyleBackColor = true;
            this.sendUserCmmdBasic.Click += new System.EventHandler(this.sendUserCmmdBasic_Click);
            // 
            // groupBox7
            // 
            this.groupBox7.Controls.Add(this.valueLabel);
            this.groupBox7.Controls.Add(this.valueLabeltext);
            this.groupBox7.Controls.Add(this.checkBoxTwice);
            this.groupBox7.Controls.Add(this.label10);
            this.groupBox7.Controls.Add(this.labelParamValue);
            this.groupBox7.Controls.Add(this.textBoxParam);
            this.groupBox7.Controls.Add(this.labelValueParam);
            this.groupBox7.Controls.Add(this.textBoxAddr);
            this.groupBox7.Controls.Add(this.label9);
            this.groupBox7.Controls.Add(this.label8);
            this.groupBox7.Location = new System.Drawing.Point(164, 31);
            this.groupBox7.Name = "groupBox7";
            this.groupBox7.Size = new System.Drawing.Size(248, 95);
            this.groupBox7.TabIndex = 5;
            this.groupBox7.TabStop = false;
            // 
            // valueLabel
            // 
            this.valueLabel.AutoSize = true;
            this.valueLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.valueLabel.ForeColor = System.Drawing.Color.OrangeRed;
            this.valueLabel.Location = new System.Drawing.Point(185, 78);
            this.valueLabel.Name = "valueLabel";
            this.valueLabel.Size = new System.Drawing.Size(0, 13);
            this.valueLabel.TabIndex = 6;
            this.valueLabel.Visible = false;
            // 
            // valueLabeltext
            // 
            this.valueLabeltext.AutoSize = true;
            this.valueLabeltext.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.valueLabeltext.ForeColor = System.Drawing.Color.OrangeRed;
            this.valueLabeltext.Location = new System.Drawing.Point(7, 78);
            this.valueLabeltext.Name = "valueLabeltext";
            this.valueLabeltext.Size = new System.Drawing.Size(158, 13);
            this.valueLabeltext.TabIndex = 5;
            this.valueLabeltext.Text = "Maximum address value is ";
            this.valueLabeltext.Visible = false;
            // 
            // checkBoxTwice
            // 
            this.checkBoxTwice.AutoSize = true;
            this.checkBoxTwice.Location = new System.Drawing.Point(125, 61);
            this.checkBoxTwice.Name = "checkBoxTwice";
            this.checkBoxTwice.Size = new System.Drawing.Size(15, 14);
            this.checkBoxTwice.TabIndex = 4;
            this.checkBoxTwice.UseVisualStyleBackColor = true;
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(7, 62);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(60, 13);
            this.label10.TabIndex = 3;
            this.label10.Text = "Send twice";
            // 
            // labelParamValue
            // 
            this.labelParamValue.AutoSize = true;
            this.labelParamValue.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelParamValue.ForeColor = System.Drawing.Color.OrangeRed;
            this.labelParamValue.Location = new System.Drawing.Point(191, 78);
            this.labelParamValue.Name = "labelParamValue";
            this.labelParamValue.Size = new System.Drawing.Size(0, 13);
            this.labelParamValue.TabIndex = 8;
            // 
            // textBoxParam
            // 
            this.textBoxParam.Location = new System.Drawing.Point(125, 36);
            this.textBoxParam.MaxLength = 3;
            this.textBoxParam.Name = "textBoxParam";
            this.textBoxParam.Size = new System.Drawing.Size(87, 20);
            this.textBoxParam.TabIndex = 2;
            this.textBoxParam.Text = "0";
            this.textBoxParam.TextChanged += new System.EventHandler(this.textBoxParam_TextChanged);
            this.textBoxParam.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxParam_KeyDown);
            // 
            // labelValueParam
            // 
            this.labelValueParam.AutoSize = true;
            this.labelValueParam.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelValueParam.ForeColor = System.Drawing.Color.OrangeRed;
            this.labelValueParam.Location = new System.Drawing.Point(7, 78);
            this.labelValueParam.Name = "labelValueParam";
            this.labelValueParam.Size = new System.Drawing.Size(170, 13);
            this.labelValueParam.TabIndex = 7;
            this.labelValueParam.Text = "Maximum parameter value is ";
            this.labelValueParam.Visible = false;
            // 
            // textBoxAddr
            // 
            this.textBoxAddr.Location = new System.Drawing.Point(125, 16);
            this.textBoxAddr.MaxLength = 3;
            this.textBoxAddr.Name = "textBoxAddr";
            this.textBoxAddr.ReadOnly = true;
            this.textBoxAddr.Size = new System.Drawing.Size(87, 20);
            this.textBoxAddr.TabIndex = 1;
            this.textBoxAddr.Text = "0";
            this.textBoxAddr.TextChanged += new System.EventHandler(this.textBoxAddr_TextChanged);
            this.textBoxAddr.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxAddr_KeyDown);
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(7, 41);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(83, 13);
            this.label9.TabIndex = 2;
            this.label9.Text = "Insert parameter";
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(7, 19);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(73, 13);
            this.label8.TabIndex = 0;
            this.label8.Text = "Insert address";
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.radioButtonBroadcast);
            this.groupBox4.Controls.Add(this.radioButtonShortAddr);
            this.groupBox4.Controls.Add(this.radioButtonGroupAddr);
            this.groupBox4.Location = new System.Drawing.Point(6, 31);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(152, 97);
            this.groupBox4.TabIndex = 4;
            this.groupBox4.TabStop = false;
            // 
            // radioButtonBroadcast
            // 
            this.radioButtonBroadcast.AutoSize = true;
            this.radioButtonBroadcast.Location = new System.Drawing.Point(6, 19);
            this.radioButtonBroadcast.Name = "radioButtonBroadcast";
            this.radioButtonBroadcast.Size = new System.Drawing.Size(73, 17);
            this.radioButtonBroadcast.TabIndex = 1;
            this.radioButtonBroadcast.TabStop = true;
            this.radioButtonBroadcast.Text = "Broadcast";
            this.radioButtonBroadcast.UseVisualStyleBackColor = true;
            this.radioButtonBroadcast.CheckedChanged += new System.EventHandler(this.radioButtonBroadcast_CheckedChanged);
            // 
            // radioButtonShortAddr
            // 
            this.radioButtonShortAddr.AutoSize = true;
            this.radioButtonShortAddr.Location = new System.Drawing.Point(6, 62);
            this.radioButtonShortAddr.Name = "radioButtonShortAddr";
            this.radioButtonShortAddr.Size = new System.Drawing.Size(91, 17);
            this.radioButtonShortAddr.TabIndex = 3;
            this.radioButtonShortAddr.TabStop = true;
            this.radioButtonShortAddr.Text = "Short Address";
            this.radioButtonShortAddr.UseVisualStyleBackColor = true;
            this.radioButtonShortAddr.CheckedChanged += new System.EventHandler(this.radioButtonShortAddr_CheckedChanged);
            // 
            // radioButtonGroupAddr
            // 
            this.radioButtonGroupAddr.AutoSize = true;
            this.radioButtonGroupAddr.Location = new System.Drawing.Point(6, 39);
            this.radioButtonGroupAddr.Name = "radioButtonGroupAddr";
            this.radioButtonGroupAddr.Size = new System.Drawing.Size(95, 17);
            this.radioButtonGroupAddr.TabIndex = 2;
            this.radioButtonGroupAddr.TabStop = true;
            this.radioButtonGroupAddr.Text = "Group Address";
            this.radioButtonGroupAddr.UseVisualStyleBackColor = true;
            this.radioButtonGroupAddr.CheckedChanged += new System.EventHandler(this.radioButtonGroupAddr_CheckedChanged);
            // 
            // commdsNameDropDown
            // 
            this.commdsNameDropDown.FormattingEnabled = true;
            this.commdsNameDropDown.Location = new System.Drawing.Point(6, 6);
            this.commdsNameDropDown.Name = "commdsNameDropDown";
            this.commdsNameDropDown.Size = new System.Drawing.Size(406, 21);
            this.commdsNameDropDown.TabIndex = 0;
            this.commdsNameDropDown.SelectedIndexChanged += new System.EventHandler(this.commdsNameDropDown_SelectedIndexChanged);
            // 
            // tabPage3
            // 
            this.tabPage3.BackColor = System.Drawing.SystemColors.Control;
            this.tabPage3.Controls.Add(this.saveToListUserComm);
            this.tabPage3.Controls.Add(this.commndErrorLabel);
            this.tabPage3.Controls.Add(this.label6);
            this.tabPage3.Controls.Add(this.groupBox6);
            this.tabPage3.Controls.Add(this.commndTextBox);
            this.tabPage3.Controls.Add(this.sendUserCommand);
            this.tabPage3.Controls.Add(this.label5);
            this.tabPage3.Controls.Add(this.commValueLabel);
            this.tabPage3.Location = new System.Drawing.Point(4, 22);
            this.tabPage3.Name = "tabPage3";
            this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage3.Size = new System.Drawing.Size(491, 160);
            this.tabPage3.TabIndex = 1;
            this.tabPage3.Text = "Advanced";
            // 
            // saveToListUserComm
            // 
            this.saveToListUserComm.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.saveToListUserComm.Image = ((System.Drawing.Image)(resources.GetObject("saveToListUserComm.Image")));
            this.saveToListUserComm.Location = new System.Drawing.Point(463, 6);
            this.saveToListUserComm.Name = "saveToListUserComm";
            this.saveToListUserComm.Size = new System.Drawing.Size(25, 40);
            this.saveToListUserComm.TabIndex = 63;
            this.saveToListUserComm.UseVisualStyleBackColor = true;
            this.saveToListUserComm.Click += new System.EventHandler(this.saveToListUserComm_Click);
            // 
            // commndErrorLabel
            // 
            this.commndErrorLabel.AutoSize = true;
            this.commndErrorLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.commndErrorLabel.ForeColor = System.Drawing.Color.OrangeRed;
            this.commndErrorLabel.Location = new System.Drawing.Point(95, 111);
            this.commndErrorLabel.Name = "commndErrorLabel";
            this.commndErrorLabel.Size = new System.Drawing.Size(265, 13);
            this.commndErrorLabel.TabIndex = 76;
            this.commndErrorLabel.Text = "Error: the command value is not hexadecimal!";
            this.commndErrorLabel.Visible = false;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(1, 86);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(24, 13);
            this.label6.TabIndex = 75;
            this.label6.Text = "  0x";
            // 
            // groupBox6
            // 
            this.groupBox6.Controls.Add(this.bit13);
            this.groupBox6.Controls.Add(this.bit15);
            this.groupBox6.Controls.Add(this.bit9);
            this.groupBox6.Controls.Add(this.bit4);
            this.groupBox6.Controls.Add(this.bit0);
            this.groupBox6.Controls.Add(this.bit5);
            this.groupBox6.Controls.Add(this.bit6);
            this.groupBox6.Controls.Add(this.bit11);
            this.groupBox6.Controls.Add(this.bit2);
            this.groupBox6.Controls.Add(this.bit8);
            this.groupBox6.Controls.Add(this.bit14);
            this.groupBox6.Controls.Add(this.bit10);
            this.groupBox6.Controls.Add(this.bit3);
            this.groupBox6.Controls.Add(this.bit7);
            this.groupBox6.Controls.Add(this.bit1);
            this.groupBox6.Controls.Add(this.bit12);
            this.groupBox6.Location = new System.Drawing.Point(6, 6);
            this.groupBox6.Name = "groupBox6";
            this.groupBox6.Size = new System.Drawing.Size(428, 50);
            this.groupBox6.TabIndex = 73;
            this.groupBox6.TabStop = false;
            // 
            // bit13
            // 
            this.bit13.AutoSize = true;
            this.bit13.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit13.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit13.Location = new System.Drawing.Point(60, 12);
            this.bit13.Name = "bit13";
            this.bit13.Size = new System.Drawing.Size(18, 31);
            this.bit13.TabIndex = 46;
            this.bit13.Text = "A";
            this.bit13.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit13.UseVisualStyleBackColor = true;
            this.bit13.CheckedChanged += new System.EventHandler(this.bit13_CheckedChanged);
            // 
            // bit15
            // 
            this.bit15.AutoSize = true;
            this.bit15.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit15.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit15.Location = new System.Drawing.Point(6, 12);
            this.bit15.Name = "bit15";
            this.bit15.Size = new System.Drawing.Size(18, 31);
            this.bit15.TabIndex = 44;
            this.bit15.Tag = "";
            this.bit15.Text = "Y";
            this.bit15.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit15.UseVisualStyleBackColor = true;
            this.bit15.CheckedChanged += new System.EventHandler(this.bit15_CheckedChanged_1);
            // 
            // bit9
            // 
            this.bit9.AutoSize = true;
            this.bit9.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit9.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit9.Location = new System.Drawing.Point(163, 12);
            this.bit9.Name = "bit9";
            this.bit9.Size = new System.Drawing.Size(18, 31);
            this.bit9.TabIndex = 50;
            this.bit9.Text = "A";
            this.bit9.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit9.UseVisualStyleBackColor = true;
            this.bit9.CheckedChanged += new System.EventHandler(this.bit9_CheckedChanged);
            // 
            // bit4
            // 
            this.bit4.AutoSize = true;
            this.bit4.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit4.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit4.Location = new System.Drawing.Point(298, 12);
            this.bit4.Name = "bit4";
            this.bit4.Size = new System.Drawing.Size(18, 31);
            this.bit4.TabIndex = 55;
            this.bit4.Text = "X";
            this.bit4.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit4.UseVisualStyleBackColor = true;
            this.bit4.CheckedChanged += new System.EventHandler(this.bit4_CheckedChanged);
            // 
            // bit0
            // 
            this.bit0.AutoSize = true;
            this.bit0.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit0.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit0.Location = new System.Drawing.Point(406, 12);
            this.bit0.Name = "bit0";
            this.bit0.Size = new System.Drawing.Size(18, 31);
            this.bit0.TabIndex = 59;
            this.bit0.Text = "X";
            this.bit0.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit0.UseVisualStyleBackColor = true;
            this.bit0.CheckedChanged += new System.EventHandler(this.bit0_CheckedChanged);
            // 
            // bit5
            // 
            this.bit5.AutoSize = true;
            this.bit5.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit5.Location = new System.Drawing.Point(271, 12);
            this.bit5.Name = "bit5";
            this.bit5.Size = new System.Drawing.Size(18, 31);
            this.bit5.TabIndex = 54;
            this.bit5.Text = "X";
            this.bit5.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit5.UseVisualStyleBackColor = true;
            this.bit5.CheckedChanged += new System.EventHandler(this.bit5_CheckedChanged);
            // 
            // bit6
            // 
            this.bit6.AutoSize = true;
            this.bit6.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit6.Location = new System.Drawing.Point(244, 12);
            this.bit6.Name = "bit6";
            this.bit6.Size = new System.Drawing.Size(18, 31);
            this.bit6.TabIndex = 53;
            this.bit6.Text = "X";
            this.bit6.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit6.UseVisualStyleBackColor = true;
            this.bit6.CheckedChanged += new System.EventHandler(this.bit6_CheckedChanged);
            // 
            // bit11
            // 
            this.bit11.AutoSize = true;
            this.bit11.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit11.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit11.Location = new System.Drawing.Point(114, 12);
            this.bit11.Name = "bit11";
            this.bit11.Size = new System.Drawing.Size(18, 31);
            this.bit11.TabIndex = 48;
            this.bit11.Text = "A";
            this.bit11.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit11.UseVisualStyleBackColor = true;
            this.bit11.CheckedChanged += new System.EventHandler(this.bit11_CheckedChanged);
            // 
            // bit2
            // 
            this.bit2.AutoSize = true;
            this.bit2.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit2.Location = new System.Drawing.Point(352, 12);
            this.bit2.Name = "bit2";
            this.bit2.Size = new System.Drawing.Size(18, 31);
            this.bit2.TabIndex = 57;
            this.bit2.Text = "X";
            this.bit2.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit2.UseVisualStyleBackColor = true;
            this.bit2.CheckedChanged += new System.EventHandler(this.bit2_CheckedChanged);
            // 
            // bit8
            // 
            this.bit8.AutoSize = true;
            this.bit8.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit8.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit8.Location = new System.Drawing.Point(190, 12);
            this.bit8.Name = "bit8";
            this.bit8.Size = new System.Drawing.Size(18, 31);
            this.bit8.TabIndex = 51;
            this.bit8.Text = "S";
            this.bit8.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit8.UseVisualStyleBackColor = true;
            this.bit8.CheckedChanged += new System.EventHandler(this.bit8_CheckedChanged);
            // 
            // bit14
            // 
            this.bit14.AutoSize = true;
            this.bit14.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit14.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit14.Location = new System.Drawing.Point(33, 12);
            this.bit14.Name = "bit14";
            this.bit14.Size = new System.Drawing.Size(18, 31);
            this.bit14.TabIndex = 45;
            this.bit14.Text = "A";
            this.bit14.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit14.UseVisualStyleBackColor = true;
            this.bit14.CheckedChanged += new System.EventHandler(this.bit14_CheckedChanged);
            // 
            // bit10
            // 
            this.bit10.AutoSize = true;
            this.bit10.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit10.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit10.Location = new System.Drawing.Point(136, 12);
            this.bit10.Name = "bit10";
            this.bit10.Size = new System.Drawing.Size(18, 31);
            this.bit10.TabIndex = 49;
            this.bit10.Text = "A";
            this.bit10.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit10.UseVisualStyleBackColor = true;
            this.bit10.CheckedChanged += new System.EventHandler(this.bit10_CheckedChanged);
            // 
            // bit3
            // 
            this.bit3.AutoSize = true;
            this.bit3.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit3.Location = new System.Drawing.Point(325, 12);
            this.bit3.Name = "bit3";
            this.bit3.Size = new System.Drawing.Size(18, 31);
            this.bit3.TabIndex = 56;
            this.bit3.Text = "X";
            this.bit3.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit3.UseVisualStyleBackColor = true;
            this.bit3.CheckedChanged += new System.EventHandler(this.bit3_CheckedChanged);
            // 
            // bit7
            // 
            this.bit7.AutoSize = true;
            this.bit7.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit7.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit7.Location = new System.Drawing.Point(217, 12);
            this.bit7.Name = "bit7";
            this.bit7.Size = new System.Drawing.Size(18, 31);
            this.bit7.TabIndex = 52;
            this.bit7.Text = "X";
            this.bit7.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit7.UseVisualStyleBackColor = true;
            this.bit7.CheckedChanged += new System.EventHandler(this.bit7_CheckedChanged);
            // 
            // bit1
            // 
            this.bit1.AutoSize = true;
            this.bit1.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit1.Location = new System.Drawing.Point(379, 12);
            this.bit1.Name = "bit1";
            this.bit1.Size = new System.Drawing.Size(18, 31);
            this.bit1.TabIndex = 58;
            this.bit1.Text = "X";
            this.bit1.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit1.UseVisualStyleBackColor = true;
            this.bit1.CheckedChanged += new System.EventHandler(this.bit1_CheckedChanged);
            // 
            // bit12
            // 
            this.bit12.AutoSize = true;
            this.bit12.CheckAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit12.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.bit12.Location = new System.Drawing.Point(87, 12);
            this.bit12.Name = "bit12";
            this.bit12.Size = new System.Drawing.Size(18, 31);
            this.bit12.TabIndex = 47;
            this.bit12.Text = "A";
            this.bit12.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
            this.bit12.UseVisualStyleBackColor = true;
            this.bit12.CheckedChanged += new System.EventHandler(this.bit12_CheckedChanged);
            // 
            // commndTextBox
            // 
            this.commndTextBox.Location = new System.Drawing.Point(25, 82);
            this.commndTextBox.MaxLength = 4;
            this.commndTextBox.Name = "commndTextBox";
            this.commndTextBox.Size = new System.Drawing.Size(59, 20);
            this.commndTextBox.TabIndex = 74;
            this.commndTextBox.Text = "0000";
            this.commndTextBox.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.commndTextBox.KeyDown += new System.Windows.Forms.KeyEventHandler(this.input_KeyDown);
            // 
            // sendUserCommand
            // 
            this.sendUserCommand.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sendUserCommand.Location = new System.Drawing.Point(378, 129);
            this.sendUserCommand.Name = "sendUserCommand";
            this.sendUserCommand.Size = new System.Drawing.Size(80, 22);
            this.sendUserCommand.TabIndex = 69;
            this.sendUserCommand.Text = "Send Cmd";
            this.sendUserCommand.UseVisualStyleBackColor = true;
            this.sendUserCommand.Click += new System.EventHandler(this.sendUserCommand_Click);
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 7F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label5.Location = new System.Drawing.Point(95, 86);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(10, 13);
            this.label5.TabIndex = 72;
            this.label5.Text = ":";
            // 
            // commValueLabel
            // 
            this.commValueLabel.AutoSize = true;
            this.commValueLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 7F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.commValueLabel.Location = new System.Drawing.Point(111, 86);
            this.commValueLabel.Name = "commValueLabel";
            this.commValueLabel.Size = new System.Drawing.Size(0, 13);
            this.commValueLabel.TabIndex = 71;
            // 
            // groupBox5
            // 
            this.groupBox5.Controls.Add(this.sendSelectedComm);
            this.groupBox5.Controls.Add(this.sendListButton);
            this.groupBox5.Location = new System.Drawing.Point(727, 118);
            this.groupBox5.Name = "groupBox5";
            this.groupBox5.Size = new System.Drawing.Size(98, 67);
            this.groupBox5.TabIndex = 65;
            this.groupBox5.TabStop = false;
            // 
            // sendSelectedComm
            // 
            this.sendSelectedComm.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sendSelectedComm.Location = new System.Drawing.Point(6, 10);
            this.sendSelectedComm.Name = "sendSelectedComm";
            this.sendSelectedComm.Size = new System.Drawing.Size(85, 21);
            this.sendSelectedComm.TabIndex = 69;
            this.sendSelectedComm.Text = "Send entry";
            this.sendSelectedComm.UseVisualStyleBackColor = true;
            this.sendSelectedComm.Click += new System.EventHandler(this.sendSelectedComm_Click);
            // 
            // sendListButton
            // 
            this.sendListButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sendListButton.Location = new System.Drawing.Point(6, 37);
            this.sendListButton.Name = "sendListButton";
            this.sendListButton.Size = new System.Drawing.Size(85, 21);
            this.sendListButton.TabIndex = 67;
            this.sendListButton.Text = "Send List";
            this.sendListButton.UseVisualStyleBackColor = true;
            this.sendListButton.Click += new System.EventHandler(this.sendListButton_Click);
            // 
            // commDataGrid
            // 
            this.commDataGrid.AllowUserToAddRows = false;
            this.commDataGrid.AllowUserToResizeColumns = false;
            this.commDataGrid.AllowUserToResizeRows = false;
            this.commDataGrid.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
            this.commDataGrid.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.dataGridViewTextBoxColumn1,
            this.dataGridViewCheckBoxColumn1,
            this.dataGridViewComboBoxColumn1});
            this.commDataGrid.Location = new System.Drawing.Point(505, 0);
            this.commDataGrid.MultiSelect = false;
            this.commDataGrid.Name = "commDataGrid";
            this.commDataGrid.RowHeadersBorderStyle = System.Windows.Forms.DataGridViewHeaderBorderStyle.None;
            this.commDataGrid.RowHeadersWidth = 20;
            this.commDataGrid.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            dataGridViewCellStyle2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.commDataGrid.RowsDefaultCellStyle = dataGridViewCellStyle2;
            this.commDataGrid.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.commDataGrid.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
            this.commDataGrid.ShowCellToolTips = false;
            this.commDataGrid.ShowEditingIcon = false;
            this.commDataGrid.Size = new System.Drawing.Size(220, 186);
            this.commDataGrid.TabIndex = 0;
            this.commDataGrid.TabStop = false;
            // 
            // dataGridViewTextBoxColumn1
            // 
            this.dataGridViewTextBoxColumn1.Frozen = true;
            this.dataGridViewTextBoxColumn1.HeaderText = "Comm";
            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
            this.dataGridViewTextBoxColumn1.ReadOnly = true;
            this.dataGridViewTextBoxColumn1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
            this.dataGridViewTextBoxColumn1.Width = 60;
            // 
            // dataGridViewCheckBoxColumn1
            // 
            this.dataGridViewCheckBoxColumn1.HeaderText = "2x";
            this.dataGridViewCheckBoxColumn1.Name = "dataGridViewCheckBoxColumn1";
            this.dataGridViewCheckBoxColumn1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
            this.dataGridViewCheckBoxColumn1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Automatic;
            this.dataGridViewCheckBoxColumn1.Width = 45;
            // 
            // dataGridViewComboBoxColumn1
            // 
            dataGridViewCellStyle1.NullValue = "0";
            this.dataGridViewComboBoxColumn1.DefaultCellStyle = dataGridViewCellStyle1;
            this.dataGridViewComboBoxColumn1.DividerWidth = 1;
            this.dataGridViewComboBoxColumn1.HeaderText = "Time (ms)";
            this.dataGridViewComboBoxColumn1.Items.AddRange(new object[] {
            "0",
            "50",
            "100",
            "150",
            "200",
            "250",
            "500",
            "1000"});
            this.dataGridViewComboBoxColumn1.Name = "dataGridViewComboBoxColumn1";
            this.dataGridViewComboBoxColumn1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
            this.dataGridViewComboBoxColumn1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Automatic;
            this.dataGridViewComboBoxColumn1.Width = 76;
            // 
            // buttonCloseExtraTest
            // 
            this.buttonCloseExtraTest.Enabled = false;
            this.buttonCloseExtraTest.Location = new System.Drawing.Point(394, 457);
            this.buttonCloseExtraTest.Name = "buttonCloseExtraTest";
            this.buttonCloseExtraTest.Size = new System.Drawing.Size(97, 38);
            this.buttonCloseExtraTest.TabIndex = 47;
            this.buttonCloseExtraTest.Text = "Close Interface Self Test";
            this.buttonCloseExtraTest.UseVisualStyleBackColor = true;
            this.buttonCloseExtraTest.Visible = false;
            this.buttonCloseExtraTest.Click += new System.EventHandler(this.buttonCloseExtraTest_Click);
            // 
            // tabPage25
            // 
            this.tabPage25.BackColor = System.Drawing.SystemColors.Control;
            this.tabPage25.Controls.Add(this.groupBox3);
            this.tabPage25.Controls.Add(this.groupBox2);
            this.tabPage25.Controls.Add(this.buttonRunTests);
            this.tabPage25.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tabPage25.Location = new System.Drawing.Point(4, 25);
            this.tabPage25.Name = "tabPage25";
            this.tabPage25.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage25.Size = new System.Drawing.Size(828, 185);
            this.tabPage25.TabIndex = 1;
            this.tabPage25.Text = "Tests";
            this.tabPage25.ToolTipText = "AAA";
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.labelSelect);
            this.groupBox3.Controls.Add(this.label2);
            this.groupBox3.Controls.Add(this.label4);
            this.groupBox3.Controls.Add(this.responseTimeControl);
            this.groupBox3.Controls.Add(this.label3);
            this.groupBox3.Controls.Add(this.buttonTests);
            this.groupBox3.Controls.Add(this.preaheatTimeControl);
            this.groupBox3.Controls.Add(this.testNo);
            this.groupBox3.Controls.Add(this.label1);
            this.groupBox3.Location = new System.Drawing.Point(6, 21);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(264, 128);
            this.groupBox3.TabIndex = 48;
            this.groupBox3.TabStop = false;
            // 
            // labelSelect
            // 
            this.labelSelect.AutoSize = true;
            this.labelSelect.Location = new System.Drawing.Point(6, 16);
            this.labelSelect.Name = "labelSelect";
            this.labelSelect.Size = new System.Drawing.Size(73, 15);
            this.labelSelect.TabIndex = 38;
            this.labelSelect.Text = "Select Tests";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.ForeColor = System.Drawing.Color.Black;
            this.label2.Location = new System.Drawing.Point(6, 99);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(122, 15);
            this.label2.TabIndex = 19;
            this.label2.Text = "Response Time (ms)";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(6, 49);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(58, 15);
            this.label4.TabIndex = 31;
            this.label4.Text = "Run tests";
            // 
            // responseTimeControl
            // 
            this.responseTimeControl.Location = new System.Drawing.Point(144, 97);
            this.responseTimeControl.Maximum = new decimal(new int[] {
            100000,
            0,
            0,
            0});
            this.responseTimeControl.Name = "responseTimeControl";
            this.responseTimeControl.Size = new System.Drawing.Size(89, 20);
            this.responseTimeControl.TabIndex = 18;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(197, 49);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(45, 15);
            this.label3.TabIndex = 30;
            this.label3.Text = "time(s)";
            // 
            // buttonTests
            // 
            this.buttonTests.Location = new System.Drawing.Point(144, 10);
            this.buttonTests.Name = "buttonTests";
            this.buttonTests.Size = new System.Drawing.Size(75, 24);
            this.buttonTests.TabIndex = 35;
            this.buttonTests.Text = "Select";
            this.buttonTests.UseVisualStyleBackColor = true;
            this.buttonTests.Click += new System.EventHandler(this.buttonTests_Click);
            // 
            // preaheatTimeControl
            // 
            this.preaheatTimeControl.Location = new System.Drawing.Point(144, 73);
            this.preaheatTimeControl.Maximum = new decimal(new int[] {
            100000,
            0,
            0,
            0});
            this.preaheatTimeControl.Name = "preaheatTimeControl";
            this.preaheatTimeControl.Size = new System.Drawing.Size(89, 20);
            this.preaheatTimeControl.TabIndex = 16;
            // 
            // testNo
            // 
            this.testNo.Location = new System.Drawing.Point(144, 47);
            this.testNo.Maximum = new decimal(new int[] {
            100000,
            0,
            0,
            0});
            this.testNo.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
            this.testNo.Name = "testNo";
            this.testNo.Size = new System.Drawing.Size(47, 20);
            this.testNo.TabIndex = 29;
            this.testNo.Value = new decimal(new int[] {
            1,
            0,
            0,
            0});
            this.testNo.ValueChanged += new System.EventHandler(this.testNo_ValueChanged);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(6, 75);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(109, 15);
            this.label1.TabIndex = 17;
            this.label1.Text = "Preheat Time (ms)";
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.errorsLabel);
            this.groupBox2.Controls.Add(this.label7);
            this.groupBox2.Controls.Add(this.label17);
            this.groupBox2.Controls.Add(this.maxProgress);
            this.groupBox2.Controls.Add(this.finishedTest);
            this.groupBox2.Location = new System.Drawing.Point(276, 21);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(544, 72);
            this.groupBox2.TabIndex = 43;
            this.groupBox2.TabStop = false;
            // 
            // errorsLabel
            // 
            this.errorsLabel.AutoSize = true;
            this.errorsLabel.CausesValidation = false;
            this.errorsLabel.Location = new System.Drawing.Point(145, 45);
            this.errorsLabel.Name = "errorsLabel";
            this.errorsLabel.Size = new System.Drawing.Size(14, 15);
            this.errorsLabel.TabIndex = 45;
            this.errorsLabel.Text = "0";
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(6, 13);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(117, 15);
            this.label7.TabIndex = 42;
            this.label7.Text = "Number of run tests:";
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Location = new System.Drawing.Point(6, 46);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(103, 15);
            this.label17.TabIndex = 44;
            this.label17.Text = "Number of errors:";
            // 
            // maxProgress
            // 
            this.maxProgress.AutoSize = true;
            this.maxProgress.Location = new System.Drawing.Point(178, 13);
            this.maxProgress.Name = "maxProgress";
            this.maxProgress.Size = new System.Drawing.Size(0, 15);
            this.maxProgress.TabIndex = 41;
            // 
            // finishedTest
            // 
            this.finishedTest.AutoSize = true;
            this.finishedTest.Location = new System.Drawing.Point(153, 13);
            this.finishedTest.Name = "finishedTest";
            this.finishedTest.Size = new System.Drawing.Size(0, 15);
            this.finishedTest.TabIndex = 43;
            // 
            // buttonRunTests
            // 
            this.buttonRunTests.Location = new System.Drawing.Point(713, 113);
            this.buttonRunTests.Name = "buttonRunTests";
            this.buttonRunTests.Size = new System.Drawing.Size(88, 36);
            this.buttonRunTests.TabIndex = 23;
            this.buttonRunTests.Text = "Run";
            this.buttonRunTests.UseVisualStyleBackColor = true;
            this.buttonRunTests.Click += new System.EventHandler(this.buttonRunTests_Click);
            // 
            // tabDebug
            // 
            this.tabDebug.Controls.Add(this.tabPage25);
            this.tabDebug.Controls.Add(this.tabPage24);
            this.tabDebug.Controls.Add(this.tabPage1);
            this.tabDebug.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tabDebug.ItemSize = new System.Drawing.Size(53, 21);
            this.tabDebug.Location = new System.Drawing.Point(8, 337);
            this.tabDebug.Name = "tabDebug";
            this.tabDebug.SelectedIndex = 0;
            this.tabDebug.Size = new System.Drawing.Size(836, 214);
            this.tabDebug.SizeMode = System.Windows.Forms.TabSizeMode.FillToRight;
            this.tabDebug.TabIndex = 38;
            // 
            // label16
            // 
            this.label16.Location = new System.Drawing.Point(0, 0);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(100, 23);
            this.label16.TabIndex = 0;
            // 
            // buttonRunExtraTest
            // 
            this.buttonRunExtraTest.Location = new System.Drawing.Point(0, 0);
            this.buttonRunExtraTest.Name = "buttonRunExtraTest";
            this.buttonRunExtraTest.Size = new System.Drawing.Size(75, 23);
            this.buttonRunExtraTest.TabIndex = 0;
            // 
            // openCommConfig
            // 
            this.openCommConfig.FileName = "openFileDialog1";
            // 
            // MainForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.AutoSize = true;
            this.ClientSize = new System.Drawing.Size(844, 552);
            this.Controls.Add(this.menuStrip1);
            this.Controls.Add(this.richTextBox1);
            this.Controls.Add(this.buttonCloseExtraTest);
            this.Controls.Add(this.tabDebug);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MainMenuStrip = this.menuStrip1;
            this.MaximizeBox = false;
            this.Name = "MainForm";
            this.Text = "DALI Test Application";
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.Form1_FormClosing);
            this.Load += new System.EventHandler(this.Form1_Load);
            this.contextMenuStrip1.ResumeLayout(false);
            this.menuStrip1.ResumeLayout(false);
            this.menuStrip1.PerformLayout();
            this.tabPage1.ResumeLayout(false);
            this.tabPage1.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDown)).EndInit();
            this.tabPage24.ResumeLayout(false);
            this.groupBox11.ResumeLayout(false);
            this.groupBox10.ResumeLayout(false);
            this.tabControl1.ResumeLayout(false);
            this.tabPage2.ResumeLayout(false);
            this.tabPage2.PerformLayout();
            this.groupBox7.ResumeLayout(false);
            this.groupBox7.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.tabPage3.ResumeLayout(false);
            this.tabPage3.PerformLayout();
            this.groupBox6.ResumeLayout(false);
            this.groupBox6.PerformLayout();
            this.groupBox5.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.commDataGrid)).EndInit();
            this.tabPage25.ResumeLayout(false);
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.responseTimeControl)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.preaheatTimeControl)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.testNo)).EndInit();
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.tabDebug.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.RichTextBox richTextBox1;
        private System.Windows.Forms.SaveFileDialog saveFileDialog1;
        private System.Windows.Forms.MenuStrip menuStrip1;
        private System.Windows.Forms.ToolStripMenuItem fileToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem exitToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem saveStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem clearStripMenuItem;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripMenuItem helpToolStripMenuItem1;
        private System.Windows.Forms.ToolStripMenuItem toolsToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem showINFOToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem showMESSAGESToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem showDEBUGToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem ackERRORsToolStripMenuItem;
        private System.Windows.Forms.SaveFileDialog saveFile;
        private System.Windows.Forms.ToolStripMenuItem tODOToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem extraTestToolStripMenuItem;
        private System.Windows.Forms.TabPage tabPage1;
        private System.Windows.Forms.Button queryLevel;
        private System.Windows.Forms.NumericUpDown numericUpDown;
        private System.Windows.Forms.HScrollBar powerController;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.Label label11;
        private System.Windows.Forms.Label label14;
        private System.Windows.Forms.Label label12;
        private System.Windows.Forms.Label label13;
        private System.Windows.Forms.TabPage tabPage24;
        private System.Windows.Forms.TabPage tabPage25;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.NumericUpDown testNo;
        private System.Windows.Forms.Label labelSelect;
        private System.Windows.Forms.Button buttonRunTests;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.NumericUpDown preaheatTimeControl;
        private System.Windows.Forms.Button buttonTests;
        private System.Windows.Forms.NumericUpDown responseTimeControl;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.TabControl tabDebug;
        private System.Windows.Forms.ContextMenuStrip contextMenuStrip1;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem1;
        private System.Windows.Forms.ToolStripMenuItem copyToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem selectAllToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem saveAsToolStripMenuItem;
        private System.Windows.Forms.Label maxProgress;
        private System.Windows.Forms.Label finishedTest;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.ToolStripMenuItem extraTestToolStripMenuItem1;
        private System.Windows.Forms.Label label16;
        private System.Windows.Forms.Button buttonRunExtraTest;
        private System.Windows.Forms.Button buttonCloseExtraTest;
        private System.Windows.Forms.Timer timer1;
        private System.Windows.Forms.ToolStripMenuItem suportToolStripMenuItem;
        private System.Windows.Forms.Label errorsLabel;
        private System.Windows.Forms.Label label17;
        private System.Windows.Forms.GroupBox groupBox1;
        private System.Windows.Forms.GroupBox groupBox3;
        private System.Windows.Forms.GroupBox groupBox2;
        private System.Windows.Forms.Button saveToListUserComm;
        private System.Windows.Forms.Button sendListButton;
        private System.Windows.Forms.DataGridView commDataGrid;
        private System.Windows.Forms.Button deleteRowDataGrid;
        private System.Windows.Forms.GroupBox groupBox5;
        private System.Windows.Forms.Button sendSelectedComm;
        private System.Windows.Forms.Button cleanDataGrid;
        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.TabPage tabPage2;
        private System.Windows.Forms.TabPage tabPage3;
        private System.Windows.Forms.Button sendUserCommand;
        private System.Windows.Forms.GroupBox groupBox6;
        private System.Windows.Forms.CheckBox bit13;
        private System.Windows.Forms.CheckBox bit15;
        private System.Windows.Forms.CheckBox bit9;
        private System.Windows.Forms.CheckBox bit4;
        private System.Windows.Forms.CheckBox bit0;
        private System.Windows.Forms.CheckBox bit5;
        private System.Windows.Forms.CheckBox bit6;
        private System.Windows.Forms.CheckBox bit11;
        private System.Windows.Forms.CheckBox bit2;
        private System.Windows.Forms.CheckBox bit8;
        private System.Windows.Forms.CheckBox bit14;
        private System.Windows.Forms.CheckBox bit10;
        private System.Windows.Forms.CheckBox bit3;
        private System.Windows.Forms.CheckBox bit7;
        private System.Windows.Forms.CheckBox bit1;
        private System.Windows.Forms.CheckBox bit12;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.Label commValueLabel;
        private System.Windows.Forms.TextBox commndTextBox;
        private System.Windows.Forms.ToolStripMenuItem saveCommadsListToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem loadCommadsListToolStripMenuItem;
        private System.Windows.Forms.SaveFileDialog saveCurrentConfig;
        private System.Windows.Forms.OpenFileDialog openCommConfig;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.Label commndErrorLabel;
        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
        private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn1;
        private System.Windows.Forms.DataGridViewComboBoxColumn dataGridViewComboBoxColumn1;
        private System.Windows.Forms.ComboBox commdsNameDropDown;
        private System.Windows.Forms.GroupBox groupBox7;
        private System.Windows.Forms.GroupBox groupBox4;
        private System.Windows.Forms.RadioButton radioButtonBroadcast;
        private System.Windows.Forms.RadioButton radioButtonShortAddr;
        private System.Windows.Forms.RadioButton radioButtonGroupAddr;
        private System.Windows.Forms.CheckBox checkBoxTwice;
        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.TextBox textBoxParam;
        private System.Windows.Forms.TextBox textBoxAddr;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.Label valueLabel;
        private System.Windows.Forms.Label valueLabeltext;
        private System.Windows.Forms.Label labelValueParam;
        private System.Windows.Forms.Label labelParamValue;
        private System.Windows.Forms.Label labelHexInterpretation;
        private System.Windows.Forms.Label label19;
        private System.Windows.Forms.Label labelHexValue;
        private System.Windows.Forms.GroupBox groupBox11;
        private System.Windows.Forms.Button moveDownLineDataGrid;
        private System.Windows.Forms.Button moveUpLineDataGrid;
        private System.Windows.Forms.GroupBox groupBox10;
        public System.Windows.Forms.Button sendUserCmmdBasic;
        private System.Windows.Forms.Button saveToListBasic;
    }
}

